summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD24
1 files changed, 9 insertions, 15 deletions
diff --git a/PKGBUILD b/PKGBUILD
index e094bc4fe35..0373f6f0c0b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: gls < ghostlovescorebg at gmail dot com >
pkgname=gentoo
-pkgver=0.20.4
+pkgver=0.20.6
pkgrel=1
pkgdesc="A lightweight file manager for GTK"
arch=('i686' 'x86_64')
@@ -9,26 +9,20 @@ url="http://www.obsession.se/gentoo/"
license=('GPL2')
depends=('gtk3' 'gamin')
source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz)
-md5sums=('9e10f5ad00613b63eb02cde89506153d')
+md5sums=('3532dfc03abacbe06ba6639160ed46d7')
build() {
+
cd ${srcdir}/${pkgname}-${pkgver}
- # CPPFLAGS must be set like this, otherwise, gentoo won't build.
- # Causes error: warning: #warning _FORTIFY_SOURCE requires compiling with optimization
- # (-O) [-Wcpp]
- CPPFLAGS=
./configure --prefix=/usr --sysconfdir=/etc
- #sed -i -e '/GTK_DISABLE_DEPRECATED/s/^/# /' configure.ac
- #autoconf configure.in > configure
- sed -i 's/-Werror-implicit-function-declaration//g' Makefile
- sed -i 's/aclocal-1.13/aclocal/'g Makefile
- sed -i 's/automake-1.13/automake/'g Makefile
- sed -i 's/AC_USE_SYSTEM_EXTENSIONS//g' configure.ac
- make
+ make
ln -s ${pkgname}-${pkgver}/mkinstalldirs ..
+
}
package() {
- cd ${srcdir}/${pkgname}-${pkgver}
+
+ cd ${srcdir}/${pkgname}-${pkgver}
make prefix=${pkgdir}/usr sysconfdir=${pkgdir}/etc install
-}
+
+}